Create a list item
- Base URL
-
https://{kibana_url}
-
POST
/api/lists/items
-
POST
/s/{space_id}/api/lists/items
Auth
Create a list item and associate it with the specified list.
All list items in the same list must be the same type. For example, each list item in an ip list must define a specific IP address.
Before creating a list item, you must create a list.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
List item's properties
-
id
string · format: nonempty · min length: 1
-
A string that does not contain only whitespace characters
-
list_id
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
-
refresh
enum
-
Determines when changes made by the request are made visible to search
-
Values:
true
false
wait_for
-
value
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
-
@timestamp
string · format: date-time
-
created_at
string · format: date-time
required
-
created_by
string
required
-
id
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
-
list_id
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
-
tie_breaker_id
string
required
-
type
enum
required
-
Values:
binary
boolean
byte
date
date_nanos
date_range
double
double_range
float
float_range
geo_point
geo_shape
half_float
integer
integer_range
ip
ip_range
keyword
long
long_range
shape
short
text
-
updated_at
string · format: date-time
required
-
updated_by
string
required
-
value
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
Invalid input data response
application/json
One of:
-
status_code
integer
required
Unsuccessful authentication response
application/json
-
statusCode
integer
required
Not enough privileges response
application/json
-
statusCode
integer
required
List item already exists response
application/json
-
status_code
integer
required
Internal server error response
application/json
-
status_code
integer
required
Thank you for your feedback.